%define major 3
%define libname %mklibname tasn1_ %{major}
%define develname %mklibname -d tasn1

Summary:	The ASN.1 library used in GNUTLS
Name:		libtasn1
Version:	1.8
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://josefsson.org/libtasn1/
Source0:	ftp://ftp.gnu.org/pub/gnu/gnutls/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
BuildRequires:	bison
BuildRequires:	valgrind
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

%package -n %{libname}
Summary:	The ASN.1 library used in GNUTLS
Group:		System/Libraries

%description -n %{libname}
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

%package tools
Summary:	Command line ASN.1 tools
Group:		Text tools
License:	GPLv3+

%description tools
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

This contains the command line tools to work with ASN.1 data.

%package -n %{develname}
Summary:	The ASN.1 development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

This contains development files and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--enable-valgrind-tests

%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%post -n %{develname}
%_install_info %{name}.info
%preun -n %{develname}
%_remove_install_info %{name}.info

%files tools
%defattr(-,root,root)
%doc NEWS README THANKS
%{_bindir}/asn*
%{_mandir}/man1/asn*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libtasn1.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%{_bindir}/libtasn1-config
%{_includedir}/libtasn1.h
%{_libdir}/libtasn1.a
%{_libdir}/libtasn1.la
%{_libdir}/libtasn1.so
%{_libdir}/pkgconfig/libtasn1.pc
%{_infodir}/libtasn1.info*
%{_mandir}/man3/*


%changelog
* Thu Feb 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8-1mdv2009.1
+ Revision: 337691
- update to new version 1.8

* Sun Dec 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-1mdv2009.1
+ Revision: 311680
- package /usr/bin/libtasn1-config
- update to new version 1.7

* Tue Nov 11 2008 Funda Wang <fundawang@mandriva.org> 1.6-1mdv2009.1
+ Revision: 302039
- there is no multiarch binaries
- New version 1.6

* Mon Sep 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5-2mdv2009.0
+ Revision: 278210
- rebuild
- update to new version 1.5
- fix url for source0
- add sig file
- remove not needed defines
- improve descriptions and summaries
- enable checks
- add buildrequires on bison and valgrind
- spec file clean

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4-2mdv2009.0
+ Revision: 264894
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 18 2008 Funda Wang <fundawang@mandriva.org> 1.4-1mdv2009.0
+ Revision: 208576
- New version 1.4

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2-2mdv2008.1
+ Revision: 170959
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Mon Jan 21 2008 Funda Wang <fundawang@mandriva.org> 1.2-1mdv2008.1
+ Revision: 155610
- New version 1.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Götz Waschk <waschk@mandriva.org> 1.1-2mdv2008.1
+ Revision: 114600
- fix devel provides

* Mon Dec 03 2007 Götz Waschk <waschk@mandriva.org> 1.1-1mdv2008.1
+ Revision: 114558
- import libtasn1


* Mon Dec  3 2007 Götz Waschk <waschk@mandriva.org> 1.1-1mdv2008.1
- initial package
